import 'package:fluttertoast/fluttertoast.dart';
import 'package:intl/intl.dart';

extension StringExtensions on String {
  String get addTranslation => this;

  void get showToast => Fluttertoast.showToast(msg: this);

  String get toServiceRequestCardFormat {
    DateTime dateTime = DateTime.tryParse(this);
    return "${DateFormat('dd MMM, yyyy').format(dateTime)}\n${DateFormat('hh:mm a').format(dateTime)}";
  }

  String get toServiceRequestDetailsFormat {
    try {
      DateTime dateTime = DateTime.tryParse(this);
      return "${DateFormat('dd MMM, yyyy').format(dateTime)} ${DateFormat('hh:mm a').format(dateTime)}";
    } catch (e) {
      return "null";
    }
  }

  String get toAssetDetailsFormat {
    try {
      DateTime dateTime = DateTime.tryParse(this);
      return DateFormat('dd MMM, yyyy').format(dateTime);
    } catch (e) {
      return "-";
    }
  }
}
